php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #8550 make doesent work
Submitted: 2001-01-04 10:21 UTC Modified: 2001-06-02 20:01 UTC
From: Hans-Theo dot Bister at telekom dot de Assigned:
Status: Closed Package: Informix related
PHP Version: 4.0.4 OS: HP-UX 10.20
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: Hans-Theo dot Bister at telekom dot de
New email:
PHP Version: OS:

 

 [2001-01-04 10:21 UTC] Hans-Theo dot Bister at telekom dot de
Hello,

I cannot "make" my PHP4.0.4 nor PHP4.0.3pl3 with INFORMIX.
I tried first to build a loadable modul for APACHE. This ended with the same problem. Afterwards i tried to build Apache with PHP4 as STATIC modul. All tries ended with the error mentioned here. I searched in newsgroups and found out that there are other peaple having the same problems on other platforms as well using INFORMIX. None of them could solve the problem. They all gave up ...

Can anybody help me ? I would very much like to run my apache with php4! Thanks a lot!
Theo

./configure --prefix=/usr/local/php --with-apache=/usr/local/apache/apache_1.3.14 --with-informix=/usr/informix

->works fine.

"make" shows the following error:  

Making all in Zend                                                              
Making all in main                                                              
Making all in ext                                                               
Making all in informix                                                          
        /bin/sh /ext1/php/php-4.0.4/libtool --silent --mode=link /users/webtools
/gcc-2.8.0/xgcc  -I. -I/ext1/php/php-4.0.4/ext/informix -I/ext1/php/php-4.0.4/ma
in -I/ext1/php/php-4.0.4 -I/usr/local/apache/apache_1.3.14/src/include -I/usr/lo
cal/apache/apache_1.3.14/src/os/unix -I/ext1/php/php-4.0.4/Zend -I/usr/informix/
incl/esql -I/ext1/php/php-4.0.4/ext/mysql/libmysql -I/ext1/php/php-4.0.4/ext/xml
/expat/xmltok -I/ext1/php/php-4.0.4/ext/xml/expat/xmlparse -I/ext1/php/php-4.0.4
/TSRM  -DXML_BYTE_ORDER=21 -O2 -I/usr/informix/incl/esql   -o libinformix.la  if
x.lo  /usr/informix/lib/esql/libixos.a /usr/informix/lib/esql/libixgen.a /usr/in
formix/lib/esql/libixsql.a /usr/informix/lib/libixasf.a /usr/informix/lib/esql/l
ibixos.a /usr/informix/lib/esql/libixgen.a /usr/informix/lib/esql/libixgls.a /us
r/informix/lib/esql/libixglx.a                                                  
libtool: link: cannot build libtool library `libinformix.la' from non-libtool ob
jects: /usr/informix/lib/esql/libixos.a /usr/informix/lib/esql/libixgen.a /usr/i
nformix/lib/esql/libixsql.a /usr/informix/lib/libixasf.a /usr/informix/lib/esql/
libixos.a /usr/informix/lib/esql/libixgen.a /usr/informix/lib/esql/libixgls.a /u
sr/informix/lib/esql/libixglx.a                                                 
*** Error exit code 1

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-06-02 20:01 UTC] sniper@php.net
This should be fixed with PHP 4.0.6, please try the 
latest release candidate:

http://www.php.net/~andi/php-4.0.6RC2.tar.gz

--Jani

 
PHP Copyright © 2001-2018 The PHP Group
All rights reserved.
Last updated: Mon Nov 19 14:01:26 2018 UTC